/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.io;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public interface RandomStream {
    
    long position(long position);
    
    long position();
    
    long skip(long count);
    
    long size();
    
}
